Bug 67469 - Helper configuration will not accept fully qualified path
Summary: Helper configuration will not accept fully qualified path
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-25 20:02 UTC by John Verel
Modified: 2007-04-18 16:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 14:24:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Verel 2002-06-25 20:02:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
Tried setting up Acrobat Reader, acroread, as helper app in Mozilla 0.9.9 app
for pdf files.  Specfied program using full path name, e.g.
/usr/local/share/Acrobat5/bin/acroread %s. Did so as /usr/local/Acrobat5/bin is
not in my path.  Would not work.  Instead, Mozilla went to the next entry in
/etc/pluggerrc and launched gv.  Got acroread to work by putting symlink to
above command in /usr/local/bin, which IS in path.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Configure helper app using full path
2.Lanuch Mozilla
3.Open page having embedded pdf file
	

Actual Results:  gv (Ghost View) opened, rather than acroread

Expected Results:  acroread should have opened

Additional info:

Instructions to use fully qualifed path name were as instructed by adobe. 
However, man plugger indicates that, "Note that Plugger will check the first
word of the command and search your $PATH for that command. If that command is
not found Plugger will go to the next line  in your plug- errc."  This says to
me that plugger does not parse the command correctly.

Comment 1 Christopher Blizzard 2002-06-25 20:41:34 UTC
What happens if you leave off the %s at the end of the command?  I think that
you just need to specify that path, and that's it.

Comment 2 John Verel 2002-06-25 21:07:30 UTC
Didn't work for me.  Tried it leaving off the %s.  Made no difference.

Comment 3 Bill Nottingham 2006-08-05 03:36:02 UTC
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.


Comment 4 Bill Nottingham 2006-10-18 14:24:06 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.